#!/usr/bin/perl -w
use strict;

# ------------------------------------------------------------------------------
# CHANGES MADE HERE WILL BE OVERWRITTEN NEXT TIME `<#sys/proc/zname>` IS RUN!
# ------------------------------------------------------------------------------
# This script was generated by `<#sys/proc/zname>` on <#dt(ampm);sys/proc/tstamp>
# ------------------------------------------------------------------------------

use lib qw(../lib);
use Hub qw(:all);

our ($tidx,$test,$tinfo,$result,$total_tests) = (0,undef,undef,'',0);

our $OPTS = cmdopts( \@ARGV );

main();

# ------------------------------------------------------------------------------
# main - Test harness.
# ------------------------------------------------------------------------------

sub main {

    $test = 1; # start at 1 to match ExtUtils::Command::MM

    $tinfo = mkinst( 'HashFile', 'all.hf' );

    my ($pass_count,$fail_count) = (0,0);

    while( eval( "defined &t$test" ) ) {

        $result = '';

        $total_tests++;

        my $passed = eval( "&t$test()" );

        if( $@ ) {

            $result = $@;

            $passed = 0;

        } else {

            $passed = !$passed if( $tinfo->getv( "testcases/[$tidx]/invert" ) );

        }#if

        if( $passed ) {

            $pass_count++;

            printstatus( "passed: $result" ) if $$OPTS{'verbose'} gt 1;

            printstatus( 'passed' ) if $$OPTS{'verbose'} eq 1;
        
        } else {
        
            $fail_count++;

            printstatus( "failed: $result" );

        }#if

        $test++;
        $tidx++;


    }#while

    print "$pass_count of $total_tests passed.\n";

}#main

# ------------------------------------------------------------------------------
# printstatus - Print pass/fail message
# ------------------------------------------------------------------------------

sub printstatus {

    printf "Test [%4d] %s line %5d: %s\n",
        $test,
        fw( 20, getname( $tinfo->getv("testcases/[$tidx]/lib") ) ),
        $tinfo->getv( "testcases/[$tidx]/lineno" ), @_;

}#printstatus


# ------------------------------------------------------------------------------
# t1
# 
# Generated from /home/hub/lib/Hub/Perl/Compare.pm line: 59
# ------------------------------------------------------------------------------

sub t1 {

    $result = eval { compare('eq','',undef);
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t1

# ------------------------------------------------------------------------------
# t2
# 
# Generated from /home/hub/lib/Hub/Perl/Compare.pm line: 60
# ------------------------------------------------------------------------------

sub t2 {

    $result = eval { compare('eq','abc','abc');
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t2

# ------------------------------------------------------------------------------
# t3
# 
# Generated from /home/hub/lib/Hub/Perl/Compare.pm line: 61
# ------------------------------------------------------------------------------

sub t3 {

    $result = eval { compare('ne','abc','Abc');
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t3

# ------------------------------------------------------------------------------
# t4
# 
# Generated from /home/hub/lib/Hub/Perl/Compare.pm line: 62
# ------------------------------------------------------------------------------

sub t4 {

    $result = eval { compare('eq','abc',undef);
 };

    $@ and die $@;

    return $result ? 0 : 1;

}#t4

# ------------------------------------------------------------------------------
# t5
# 
# Generated from /home/hub/lib/Hub/Perl/Compare.pm line: 63
# ------------------------------------------------------------------------------

sub t5 {

    $result = eval { compare('!~','abc','A');
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t5

# ------------------------------------------------------------------------------
# t6
# 
# Generated from /home/hub/lib/Hub/Perl/Compare.pm line: 64
# ------------------------------------------------------------------------------

sub t6 {

    $result = eval { compare('=~','abc','a');
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t6

# ------------------------------------------------------------------------------
# t7
# 
# Generated from /home/hub/lib/Hub/Perl/Compare.pm line: 65
# ------------------------------------------------------------------------------

sub t7 {

    $result = eval { compare('==',1234,1234);
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t7

# ------------------------------------------------------------------------------
# t8
# 
# Generated from /home/hub/lib/Hub/Perl/Compare.pm line: 66
# ------------------------------------------------------------------------------

sub t8 {

    $result = eval { compare('>=',1234,1234);
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t8

# ------------------------------------------------------------------------------
# t9
# 
# Generated from /home/hub/lib/Hub/Perl/Compare.pm line: 67
# ------------------------------------------------------------------------------

sub t9 {

    $result = eval { compare('eqic','abc','Abc');
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t9

# ------------------------------------------------------------------------------
# t10
# 
# Generated from /home/hub/lib/Hub/Perl/Compare.pm line: 68
# ------------------------------------------------------------------------------

sub t10 {

    $result = eval { compare('==',undef,undef);
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t10

# ------------------------------------------------------------------------------
# t11
# 
# Generated from /home/hub/lib/Hub/Perl/Compare.pm line: 69
# ------------------------------------------------------------------------------

sub t11 {

    $result = eval { compare('==',0,undef);
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t11

# ------------------------------------------------------------------------------
# t12
# 
# Generated from /home/hub/lib/Hub/Perl/Compare.pm line: 70
# ------------------------------------------------------------------------------

sub t12 {

    $result = eval { my @numbers = ( 20, 1, 10, 2 );
              join ';', sort { &compare('<=>',$a,$b) } @numbers;
 };

    $@ and die $@;

    return $result eq "1;2;10;20";

}#t12

# ------------------------------------------------------------------------------
# t13
# 
# Generated from /home/hub/lib/Hub/Knots/Defined.pm line: 10
# ------------------------------------------------------------------------------

sub t13 {

    $result = eval { 
    my $h = {};

    playnice( $h );

    $$h{'foo'} = 'bar';

    $$h{'foo'};

 };

    $@ and die $@;

    return $result eq "bar";

}#t13

# ------------------------------------------------------------------------------
# t14
# 
# Generated from /home/hub/lib/Hub/Knots/Addressable.pm line: 157
# ------------------------------------------------------------------------------

sub t14 {

    $result = eval { 
    use Hub;
    my %h = ();

    tie %h, 'Hub::Knots::Addressable';

    $h{'/food/fruit'} = [
        {
            'name'  => 'apple',
            'id'    => 123,
            'grown' => 'Washington',
            'color' => 'red',
        },
    ];

    $h{'/food/fruit/apple/grown'};

 };

    $@ and die $@;

    return $result eq "Washington";

}#t14

# ------------------------------------------------------------------------------
# t15
# 
# Generated from /home/hub/lib/Hub.pm line: 291
# ------------------------------------------------------------------------------

sub t15 {

    $result = eval { ref( mkinst( 'Logger' ) ) eq 'Hub::Base::Logger';
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t15

# ------------------------------------------------------------------------------
# t16
# 
# Generated from /home/hub/lib/Hub.pm line: 292
# ------------------------------------------------------------------------------

sub t16 {

    $result = eval { mkinst( 'DoesNotExist' );
 };

    $@ and do { $result = $@; chomp $result };

    return $@ ? 1 : 0;

}#t16

# ------------------------------------------------------------------------------
# t17
# 
# Generated from /home/hub/lib/Hub.pm line: 395
# ------------------------------------------------------------------------------

sub t17 {

    $result = eval { Hub::blahblahblah();

 };

    $@ and do { $result = $@; chomp $result };

    return $@ ? 1 : 0;

}#t17

# ------------------------------------------------------------------------------
# t18
# 
# Generated from /home/hub/lib/Hub/Parse/Parser.pm line: 86
# ------------------------------------------------------------------------------

sub t18 {

    $result = eval { my $parser = mkinst( 'Parser', -template => 'Hello <#who>' );
              ${$parser->populate( { who => 'World' } )};
 };

    $@ and die $@;

    return $result eq "Hello World";

}#t18

# ------------------------------------------------------------------------------
# t19
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 29
# ------------------------------------------------------------------------------

sub t19 {

    $result = eval { keydepth( 'and:then:came:the:rain' )
 };

    $@ and die $@;

    return $result eq "4";

}#t19

# ------------------------------------------------------------------------------
# t20
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 45
# ------------------------------------------------------------------------------

sub t20 {

    $result = eval { vartype( );
 };

    $@ and die $@;

    return $result eq "";

}#t20

# ------------------------------------------------------------------------------
# t21
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 46
# ------------------------------------------------------------------------------

sub t21 {

    $result = eval { vartype( "clr-bg" );
 };

    $@ and die $@;

    return $result eq "clr";

}#t21

# ------------------------------------------------------------------------------
# t22
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 47
# ------------------------------------------------------------------------------

sub t22 {

    $result = eval { vartype( "clr-bg", "default" );
 };

    $@ and die $@;

    return $result eq "clr";

}#t22

# ------------------------------------------------------------------------------
# t23
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 48
# ------------------------------------------------------------------------------

sub t23 {

    $result = eval { vartype( "whatev", "default" );
 };

    $@ and die $@;

    return $result eq "default";

}#t23

# ------------------------------------------------------------------------------
# t24
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 49
# ------------------------------------------------------------------------------

sub t24 {

    $result = eval { vartype( "whatev" );
 };

    $@ and die $@;

    return $result eq "";

}#t24

# ------------------------------------------------------------------------------
# t25
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 50
# ------------------------------------------------------------------------------

sub t25 {

    $result = eval { vartype( "a:b:c" );
 };

    $@ and die $@;

    return $result eq "";

}#t25

# ------------------------------------------------------------------------------
# t26
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 51
# ------------------------------------------------------------------------------

sub t26 {

    $result = eval { vartype( "x-a:b:c" );
 };

    $@ and die $@;

    return $result eq "x";

}#t26

# ------------------------------------------------------------------------------
# t27
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 52
# ------------------------------------------------------------------------------

sub t27 {

    $result = eval { vartype( "a:b:x-c" );
 };

    $@ and die $@;

    return $result eq "x";

}#t27

# ------------------------------------------------------------------------------
# t28
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 75
# ------------------------------------------------------------------------------

sub t28 {

    $result = eval { varroot( "p001:items:1002:text-description" );
 };

    $@ and die $@;

    return $result eq "p001";

}#t28

# ------------------------------------------------------------------------------
# t29
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 76
# ------------------------------------------------------------------------------

sub t29 {

    $result = eval { varroot( "p001" );
 };

    $@ and die $@;

    return $result eq "p001";

}#t29

# ------------------------------------------------------------------------------
# t30
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 93
# ------------------------------------------------------------------------------

sub t30 {

    $result = eval { varname( "p001:items:1002:text-desc" );
 };

    $@ and die $@;

    return $result eq "text-desc";

}#t30

# ------------------------------------------------------------------------------
# t31
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 94
# ------------------------------------------------------------------------------

sub t31 {

    $result = eval { varname( "p001" );
 };

    $@ and die $@;

    return $result eq "p001";

}#t31

# ------------------------------------------------------------------------------
# t32
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 112
# ------------------------------------------------------------------------------

sub t32 {

    $result = eval { varparent( "p001:items:12:1000" );
 };

    $@ and die $@;

    return $result eq "p001:items:12";

}#t32

# ------------------------------------------------------------------------------
# t33
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 113
# ------------------------------------------------------------------------------

sub t33 {

    $result = eval { varparent( "p001:items:10:subs:100" );
 };

    $@ and die $@;

    return $result eq "p001:items:10:subs";

}#t33

# ------------------------------------------------------------------------------
# t34
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 114
# ------------------------------------------------------------------------------

sub t34 {

    $result = eval { varparent( "p001" );
 };

    $@ and die $@;

    return $result eq "";

}#t34

# ------------------------------------------------------------------------------
# t35
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 133
# ------------------------------------------------------------------------------

sub t35 {

    $result = eval { dotaddr( "p004:proj:1000" );
 };

    $@ and die $@;

    return $result eq "p004.proj.1000";

}#t35

# ------------------------------------------------------------------------------
# t36
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 134
# ------------------------------------------------------------------------------

sub t36 {

    $result = eval { dotaddr( "p004:proj:1000:name" );
 };

    $@ and die $@;

    return $result eq "p004.proj.1000.name";

}#t36

# ------------------------------------------------------------------------------
# t37
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 135
# ------------------------------------------------------------------------------

sub t37 {

    $result = eval { dotaddr( "p001" );
 };

    $@ and die $@;

    return $result eq "p001";

}#t37

# ------------------------------------------------------------------------------
# t38
# 
# Generated from /home/hub/lib/Hub/Data/Address.pm line: 136
# ------------------------------------------------------------------------------

sub t38 {

    $result = eval { dotaddr( "" );
 };

    $@ and die $@;

    return $result eq "";

}#t38

# ------------------------------------------------------------------------------
# t39
# 
# Generated from /home/hub/lib/Hub/Perl/Sort.pm line: 28
# ------------------------------------------------------------------------------

sub t39 {

    $result = eval {     my @months = qw/Jan Feb Mar/;
    my @sorted = anonsort( \@months );
    return join ',', @sorted;
 };

    $@ and die $@;

    return $result eq "Feb,Jan,Mar";

}#t39

# ------------------------------------------------------------------------------
# t40
# 
# Generated from /home/hub/lib/Hub/Data/File.pm line: 1230
# ------------------------------------------------------------------------------

sub t40 {

    $result = eval { safefn( 'alsk/lsdkfj' );
 };

    $@ and die $@;

    return $result eq "alsk_2f_lsdkfj";

}#t40

# ------------------------------------------------------------------------------
# t41
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 107
# ------------------------------------------------------------------------------

sub t41 {

    $result = eval { safestr( 'Dogs (Waters, Gilmour) 17:06' );
 };

    $@ and die $@;

    return $result eq "Dogs_20__28_Waters_2c__20_Gilmour_29__20_17_3a_06";

}#t41

# ------------------------------------------------------------------------------
# t42
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 300
# ------------------------------------------------------------------------------

sub t42 {

    $result = eval { fixpath( "../../../users/newuser/web/bin/../src/screens" );
 };

    $@ and die $@;

    return $result eq "../../../users/newuser/web/src/screens";

}#t42

# ------------------------------------------------------------------------------
# t43
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 303
# ------------------------------------------------------------------------------

sub t43 {

    $result = eval { fixpath( "users/newuser/web/" );
 };

    $@ and die $@;

    return $result eq "users/newuser/web";

}#t43

# ------------------------------------------------------------------------------
# t44
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 306
# ------------------------------------------------------------------------------

sub t44 {

    $result = eval { fixpath( "users/../web/bin/../src" );
 };

    $@ and die $@;

    return $result eq "web/src";

}#t44

# ------------------------------------------------------------------------------
# t45
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 309
# ------------------------------------------------------------------------------

sub t45 {

    $result = eval { fixpath( "users//newuser" );
 };

    $@ and die $@;

    return $result eq "users/newuser";

}#t45

# ------------------------------------------------------------------------------
# t46
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 312
# ------------------------------------------------------------------------------

sub t46 {

    $result = eval { fixpath( "users//newuser/./files" );
 };

    $@ and die $@;

    return $result eq "users/newuser/files";

}#t46

# ------------------------------------------------------------------------------
# t47
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 315
# ------------------------------------------------------------------------------

sub t47 {

    $result = eval { fixpath( "http://site/users//newuser" );
 };

    $@ and die $@;

    return $result eq "http://site/users/newuser";

}#t47

# ------------------------------------------------------------------------------
# t48
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 317
# ------------------------------------------------------------------------------

sub t48 {

    $result = eval { fixpath( '/home/hub/build/../../../out/doc/pod' );
 };

    $@ and die $@;

    return $result eq "/out/doc/pod";

}#t48

# ------------------------------------------------------------------------------
# t49
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 387
# ------------------------------------------------------------------------------

sub t49 {

    $result = eval { relpath( "/home/docs", "/home/docs/install", -asdir );
 };

    $@ and die $@;

    return $result eq "..";

}#t49

# ------------------------------------------------------------------------------
# t50
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 388
# ------------------------------------------------------------------------------

sub t50 {

    $result = eval { relpath( "/home/docs", "/home/docs/README.txt" );
 };

    $@ and die $@;

    return $result eq ".";

}#t50

# ------------------------------------------------------------------------------
# t51
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 389
# ------------------------------------------------------------------------------

sub t51 {

    $result = eval { relpath( "/home/src", "/home/docs/install", -asdir );
 };

    $@ and die $@;

    return $result eq "../../src";

}#t51

# ------------------------------------------------------------------------------
# t52
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 391
# ------------------------------------------------------------------------------

sub t52 {

    $result = eval { relpath( "/home/docs/README.txt", "/home/docs", -asdir );
 };

    $@ and die $@;

    return $result eq "README.txt";

}#t52

# ------------------------------------------------------------------------------
# t53
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 645
# ------------------------------------------------------------------------------

sub t53 {

    $result = eval { datetime( );
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t53

# ------------------------------------------------------------------------------
# t54
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 646
# ------------------------------------------------------------------------------

sub t54 {

    $result = eval { datetime( 1045837284 );
 };

    $@ and die $@;

    return $result =~ "02\/..\/2003 ..:..:24";

}#t54

# ------------------------------------------------------------------------------
# t55
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 647
# ------------------------------------------------------------------------------

sub t55 {

    $result = eval { datetime( 1045837284, -nosec );
 };

    $@ and die $@;

    return $result =~ "02\/..\/2003 ..:..";

}#t55

# ------------------------------------------------------------------------------
# t56
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 648
# ------------------------------------------------------------------------------

sub t56 {

    $result = eval { datetime( 1045837284, -noyear );
 };

    $@ and die $@;

    return $result =~ "02\/.. ..:..:24";

}#t56

# ------------------------------------------------------------------------------
# t57
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 649
# ------------------------------------------------------------------------------

sub t57 {

    $result = eval { datetime( 1045837284, -ampm );
 };

    $@ and die $@;

    return $result =~ "02\/..\/2003 ..:..:24am";

}#t57

# ------------------------------------------------------------------------------
# t58
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 650
# ------------------------------------------------------------------------------

sub t58 {

    $result = eval { datetime( 1045837284, -nozeros );
 };

    $@ and die $@;

    return $result =~ "2\/..\/2003 .:..:24";

}#t58

# ------------------------------------------------------------------------------
# t59
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 651
# ------------------------------------------------------------------------------

sub t59 {

    $result = eval { datetime( 1045837284, -notime );
 };

    $@ and die $@;

    return $result =~ "02\/..\/2003";

}#t59

# ------------------------------------------------------------------------------
# t60
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 652
# ------------------------------------------------------------------------------

sub t60 {

    $result = eval { datetime( 1045837284, -nodate );
 };

    $@ and die $@;

    return $result =~ "..:..:24";

}#t60

# ------------------------------------------------------------------------------
# t61
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 653
# ------------------------------------------------------------------------------

sub t61 {

    $result = eval { datetime( 1045837284, -letter );
 };

    $@ and die $@;

    return $result =~ "February .., 2003 ..:..:24";

}#t61

# ------------------------------------------------------------------------------
# t62
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 657
# ------------------------------------------------------------------------------

sub t62 {

    $result = eval { datetime( 1045837284, -ampm, -nosec );              
 };

    $@ and die $@;

    return $result =~ "02\/..\/2003 ..:..am";

}#t62

# ------------------------------------------------------------------------------
# t63
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 660
# ------------------------------------------------------------------------------

sub t63 {

    $result = eval { datetime( 1045837284, -nosec, -nozeros, -noyear );
 };

    $@ and die $@;

    return $result =~ "2\/.. .:..";

}#t63

# ------------------------------------------------------------------------------
# t64
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 665
# ------------------------------------------------------------------------------

sub t64 {

    $result = eval { datetime( 1045837284, "nosec,noyear" );
 };

    $@ and die $@;

    return $result =~ "02\/.. ..:..";

}#t64

# ------------------------------------------------------------------------------
# t65
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 851
# ------------------------------------------------------------------------------

sub t65 {

    $result = eval { ps( 10, "this is really short but splits on ten chars" );


 };

    $@ and die $@;

    return $result eq "this is re
ally short
 but split
s on ten c
hars";

}#t65

# ------------------------------------------------------------------------------
# t66
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 859
# ------------------------------------------------------------------------------

sub t66 {

    $result = eval { ps( 10, "this is really short but splits on ten chars", 3 );

 };

    $@ and die $@;

    return $result eq "this is re
   ally short
    but split
   s on ten c
   hars";

}#t66

# ------------------------------------------------------------------------------
# t67
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 1223
# ------------------------------------------------------------------------------

sub t67 {

    $result = eval { populate( 'mu<#foo>m', { foo => 'shroo' } );
 };

    $@ and die $@;

    return $result eq "mushroom";

}#t67

# ------------------------------------------------------------------------------
# t68
# 
# Generated from /home/hub/lib/Hub/Parse/Transform.pm line: 1224
# ------------------------------------------------------------------------------

sub t68 {

    $result = eval { ref( populate( 'a<#b>c', { b => 'bee' }, '-sdref=0' ) );
 };

    $@ and die $@;

    return $result eq "SCALAR";

}#t68

# ------------------------------------------------------------------------------
# t69
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 77
# ------------------------------------------------------------------------------

sub t69 {

    $result = eval { sizeof( { a=>1, b=>2, c=>3 } );
 };

    $@ and die $@;

    return $result eq "3";

}#t69

# ------------------------------------------------------------------------------
# t70
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 78
# ------------------------------------------------------------------------------

sub t70 {

    $result = eval { sizeof( [ 'a1', 'b2', 'c3' ] );
 };

    $@ and die $@;

    return $result eq "3";

}#t70

# ------------------------------------------------------------------------------
# t71
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 79
# ------------------------------------------------------------------------------

sub t71 {

    $result = eval { sizeof( "abc"                );
 };

    $@ and die $@;

    return $result eq "3";

}#t71

# ------------------------------------------------------------------------------
# t72
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 80
# ------------------------------------------------------------------------------

sub t72 {

    $result = eval { sizeof( \"abc"               );
 };

    $@ and die $@;

    return $result eq "3";

}#t72

# ------------------------------------------------------------------------------
# t73
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 81
# ------------------------------------------------------------------------------

sub t73 {

    $result = eval { sizeof( undef                );
 };

    $@ and die $@;

    return $result eq "0";

}#t73

# ------------------------------------------------------------------------------
# t74
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 82
# ------------------------------------------------------------------------------

sub t74 {

    $result = eval { sizeof( "a", "b", "c"        );
 };

    $@ and die $@;

    return $result eq "3";

}#t74

# ------------------------------------------------------------------------------
# t75
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 109
# ------------------------------------------------------------------------------

sub t75 {

    $result = eval { join 'X', asa(undef);
 };

    $@ and die $@;

    return $result eq "";

}#t75

# ------------------------------------------------------------------------------
# t76
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 161
# ------------------------------------------------------------------------------

sub t76 {

    $result = eval { my $compression = check( '-test=eval', 'use IO::Zlib' ) ? 1 : 0;
 };

    $@ and do { $result = $@; chomp $result };

    return $@ ? 1 : 0;

}#t76

# ------------------------------------------------------------------------------
# t77
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 171
# ------------------------------------------------------------------------------

sub t77 {

    $result = eval { check( undef, undef, undef );
 };

    $@ and die $@;

    return $result ? 0 : 1;

}#t77

# ------------------------------------------------------------------------------
# t78
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 172
# ------------------------------------------------------------------------------

sub t78 {

    $result = eval { check( 1, undef );
 };

    $@ and die $@;

    return $result ? 0 : 1;

}#t78

# ------------------------------------------------------------------------------
# t79
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 173
# ------------------------------------------------------------------------------

sub t79 {

    $result = eval { check( 1, 1 );
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t79

# ------------------------------------------------------------------------------
# t80
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 174
# ------------------------------------------------------------------------------

sub t80 {

    $result = eval { check( 1, undef, -opr => 'or' );

 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t80

# ------------------------------------------------------------------------------
# t81
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 176
# ------------------------------------------------------------------------------

sub t81 {

    $result = eval { check( -opr => 'xor', 1, 1 );
 };

    $@ and die $@;

    return $result ? 0 : 1;

}#t81

# ------------------------------------------------------------------------------
# t82
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 177
# ------------------------------------------------------------------------------

sub t82 {

    $result = eval { check( -opr => 'xor', undef, undef );

 };

    $@ and die $@;

    return $result ? 0 : 1;

}#t82

# ------------------------------------------------------------------------------
# t83
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 179
# ------------------------------------------------------------------------------

sub t83 {

    $result = eval { check( -opr => 'xor', undef, 1 );
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t83

# ------------------------------------------------------------------------------
# t84
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 180
# ------------------------------------------------------------------------------

sub t84 {

    $result = eval { check( -opr => 'xor', 1, undef );

 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t84

# ------------------------------------------------------------------------------
# t85
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 182
# ------------------------------------------------------------------------------

sub t85 {

    $result = eval { check( -opr => 'xor', 1, undef, 1, undef );
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t85

# ------------------------------------------------------------------------------
# t86
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 183
# ------------------------------------------------------------------------------

sub t86 {

    $result = eval { check( -opr => 'xor', 1, undef, 1, 1, undef );
 };

    $@ and die $@;

    return $result ? 0 : 1;

}#t86

# ------------------------------------------------------------------------------
# t87
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 184
# ------------------------------------------------------------------------------

sub t87 {

    $result = eval { check( -opr => 'xor', undef, 1, undef, 1 );
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t87

# ------------------------------------------------------------------------------
# t88
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 332
# ------------------------------------------------------------------------------

sub t88 {

    $result = eval { 
   sub myjoin {
      my $opts = Hub::opts( \@_ );
      return join( $$opts{'with'}, @_ );
   }

   myjoin( 'a', 'b', '-with=;', 'c', 'd' );
 };

    $@ and die $@;

    return $result eq "a;b;c;d";

}#t88

# ------------------------------------------------------------------------------
# t89
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 478
# ------------------------------------------------------------------------------

sub t89 {

    $result = eval { 
  my $obj = mkinst( 'Object' );
  my @result = objopts( [ $obj ] );
  join( ',', map { ref($_) } @result );

 };

    $@ and die $@;

    return $result eq "Hub::Base::Object,";

}#t89

# ------------------------------------------------------------------------------
# t90
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 710
# ------------------------------------------------------------------------------

sub t90 {

    $result = eval { Hub::expect( -match => 'and|or|xor', 'and' );
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t90

# ------------------------------------------------------------------------------
# t91
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 711
# ------------------------------------------------------------------------------

sub t91 {

    $result = eval { Hub::expect( HASH => {}, HASH => {} );
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t91

# ------------------------------------------------------------------------------
# t92
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 712
# ------------------------------------------------------------------------------

sub t92 {

    $result = eval { Hub::expect( -blessed => {} );
 };

    $@ and do { $result = $@; chomp $result };

    return $@ ? 1 : 0;

}#t92

# ------------------------------------------------------------------------------
# t93
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 713
# ------------------------------------------------------------------------------

sub t93 {

    $result = eval { Hub::expect( -blessed => mkinst( 'Object' ) );
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t93

# ------------------------------------------------------------------------------
# t94
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 714
# ------------------------------------------------------------------------------

sub t94 {

    $result = eval { Hub::expect( -match => 'and|or|xor', 'if', 'or', 'and' );
 };

    $@ and do { $result = $@; chomp $result };

    return $@ ? 1 : 0;

}#t94

# ------------------------------------------------------------------------------
# t95
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 715
# ------------------------------------------------------------------------------

sub t95 {

    $result = eval { Hub::expect( ARRAY => {} );
 };

    $@ and do { $result = $@; chomp $result };

    return $@ ? 1 : 0;

}#t95

# ------------------------------------------------------------------------------
# t96
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 716
# ------------------------------------------------------------------------------

sub t96 {

    $result = eval { Hub::expect( -blessed => 'abc' );
 };

    $@ and do { $result = $@; chomp $result };

    return $@ ? 1 : 0;

}#t96

# ------------------------------------------------------------------------------
# t97
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 717
# ------------------------------------------------------------------------------

sub t97 {

    $result = eval { Hub::expect( -ref => 'HASH', {} );
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t97

# ------------------------------------------------------------------------------
# t98
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 718
# ------------------------------------------------------------------------------

sub t98 {

    $result = eval { Hub::expect( -ref => 'HASH', mkinst('Object') );
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t98

# ------------------------------------------------------------------------------
# t99
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 773
# ------------------------------------------------------------------------------

sub t99 {

    $result = eval { Hub::fear( HASH => {} );
 };

    $@ and do { $result = $@; chomp $result };

    return $@ ? 1 : 0;

}#t99

# ------------------------------------------------------------------------------
# t100
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 774
# ------------------------------------------------------------------------------

sub t100 {

    $result = eval { Hub::fear( HASH => [] );
 };

    $@ and die $@;

    return $result ? 1 : 0;

}#t100

# ------------------------------------------------------------------------------
# t101
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 790
# ------------------------------------------------------------------------------

sub t101 {

    $result = eval { abort( -msg => 'Goddamn hippies' );
 };

    $@ and do { $result = $@; chomp $result };

    return $@ ? 1 : 0;

}#t101

# ------------------------------------------------------------------------------
# t102
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 903
# ------------------------------------------------------------------------------

sub t102 {

    $result = eval { Hub::min(1,2);
 };

    $@ and die $@;

    return $result eq "1";

}#t102

# ------------------------------------------------------------------------------
# t103
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 904
# ------------------------------------------------------------------------------

sub t103 {

    $result = eval { Hub::min(2,1,3);
 };

    $@ and die $@;

    return $result eq "1";

}#t103

# ------------------------------------------------------------------------------
# t104
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 905
# ------------------------------------------------------------------------------

sub t104 {

    $result = eval { Hub::min(2,-1,3);
 };

    $@ and die $@;

    return $result eq "-1";

}#t104

# ------------------------------------------------------------------------------
# t105
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 906
# ------------------------------------------------------------------------------

sub t105 {

    $result = eval { Hub::min(1);
 };

    $@ and die $@;

    return $result eq "1";

}#t105

# ------------------------------------------------------------------------------
# t106
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 907
# ------------------------------------------------------------------------------

sub t106 {

    $result = eval { Hub::min(1,undef);
 };

    $@ and die $@;

    return $result eq "1";

}#t106

# ------------------------------------------------------------------------------
# t107
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 908
# ------------------------------------------------------------------------------

sub t107 {

    $result = eval { Hub::min(undef,1,0);
 };

    $@ and die $@;

    return $result eq "0";

}#t107

# ------------------------------------------------------------------------------
# t108
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 909
# ------------------------------------------------------------------------------

sub t108 {

    $result = eval { Hub::min(.009,1.001);
 };

    $@ and die $@;

    return $result eq "0.009";

}#t108

# ------------------------------------------------------------------------------
# t109
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 925
# ------------------------------------------------------------------------------

sub t109 {

    $result = eval { Hub::max(.009,-1.01,2,undef,0);
 };

    $@ and die $@;

    return $result eq "2";

}#t109

# ------------------------------------------------------------------------------
# t110
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 942
# ------------------------------------------------------------------------------

sub t110 {

    $result = eval { join(',',Hub::intdiv(3,2));
 };

    $@ and die $@;

    return $result eq "1,1";

}#t110

# ------------------------------------------------------------------------------
# t111
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 1388
# ------------------------------------------------------------------------------

sub t111 {

    $result = eval { 
  my $x = 'like catfood';
  Hub::checksum( 'my', { cats => 'breath' }, ( 'smells', $x ) );

 };

    $@ and die $@;

    return $result eq "2023611966";

}#t111

# ------------------------------------------------------------------------------
# t112
# 
# Generated from /home/hub/lib/Hub/Perl/Language.pm line: 2234
# ------------------------------------------------------------------------------

sub t112 {

    $result = eval { join( ';', dice( "a{b{c}}c{d}" ) );
 };

    $@ and die $@;

    return $result eq "a;{b{c}};c;{d}";

}#t112
